<?xml version="1.0" encoding="UTF-8"?>
<jmeterTestPlan version="1.2" properties="5.0" jmeter="5.1.1 r1855137">
  <hashTree>
    <TestPlan guiclass="TestPlanGui" testclass="TestPlan" testname="Test Plan" enabled="true">
      <stringProp name="TestPlan.comments"></stringProp>
      <boolProp name="TestPlan.functional_mode">false</boolProp>
      <boolProp name="TestPlan.serialize_threadgroups">false</boolProp>
      <elementProp name="TestPlan.user_defined_variables" elementType="Arguments" guiclass="ArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
        <collectionProp name="Arguments.arguments"/>
      </elementProp>
      <stringProp name="TestPlan.user_define_classpath"></stringProp>
    </TestPlan>
    <hashTree>
      <Arguments guiclass="ArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
        <collectionProp name="Arguments.arguments">
          <elementProp name="basepath" elementType="Argument">
            <stringProp name="Argument.name">basepath</stringProp>
            <stringProp name="Argument.value">qa.mosip.io</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="thinktime" elementType="Argument">
            <stringProp name="Argument.name">thinktime</stringProp>
            <stringProp name="Argument.value">2000</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="response_folder" elementType="Argument">
            <stringProp name="Argument.name">response_folder</stringProp>
            <stringProp name="Argument.value">C:\MOSIP_PT\Scripts\IdRepo\Responses</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="uin" elementType="Argument">
            <stringProp name="Argument.name">uin</stringProp>
            <stringProp name="Argument.value">4302791701</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="data_path" elementType="Argument">
            <stringProp name="Argument.name">data_path</stringProp>
            <stringProp name="Argument.value">C:\MOSIP_PT\Scripts\IdRepo\Data</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
          <elementProp name="result_path" elementType="Argument">
            <stringProp name="Argument.name">result_path</stringProp>
            <stringProp name="Argument.value">C:\MOSIP_PT\Scripts\IdRepo\Results</stringProp>
            <stringProp name="Argument.metadata">=</stringProp>
          </elementProp>
        </collectionProp>
      </Arguments>
      <hashTree/>
      <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
        <collectionProp name="HeaderManager.headers">
          <elementProp name="Origin" elementType="Header">
            <stringProp name="Header.name">Origin</stringProp>
            <stringProp name="Header.value">https://${basepath}</stringProp>
          </elementProp>
          <elementProp name="user-agent" elementType="Header">
            <stringProp name="Header.name">user-agent</stringProp>
            <stringProp name="Header.value">Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/75.0.3770.100 Safari/537.36</stringProp>
          </elementProp>
        </collectionProp>
      </HeaderManager>
      <hashTree/>
      <ConfigTestElement guiclass="HttpDefaultsGui" testclass="ConfigTestElement" testname="HTTP Request Defaults" enabled="true">
        <elementProp name="HTTPsampler.Arguments" elementType="Arguments" guiclass="HTTPArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
          <collectionProp name="Arguments.arguments"/>
        </elementProp>
        <stringProp name="HTTPSampler.domain">${basepath}</stringProp>
        <stringProp name="HTTPSampler.port"></stringProp>
        <stringProp name="HTTPSampler.protocol">https</stringProp>
        <stringProp name="HTTPSampler.contentEncoding"></stringProp>
        <stringProp name="HTTPSampler.path"></stringProp>
        <stringProp name="HTTPSampler.concurrentPool">6</stringProp>
        <stringProp name="HTTPSampler.connect_timeout"></stringProp>
        <stringProp name="HTTPSampler.response_timeout"></stringProp>
      </ConfigTestElement>
      <hashTree/>
      <CookieManager guiclass="CookiePanel" testclass="CookieManager" testname="HTTP Cookie Manager" enabled="true">
        <collectionProp name="CookieManager.cookies"/>
        <boolProp name="CookieManager.clearEachIteration">false</boolProp>
      </CookieManager>
      <hashTree/>
      <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="Identity Data" enabled="true">
        <stringProp name="delimiter">,</stringProp>
        <stringProp name="fileEncoding"></stringProp>
        <stringProp name="filename">${data_path}\reg_data.csv</stringProp>
        <boolProp name="ignoreFirstLine">true</boolProp>
        <boolProp name="quotedData">false</boolProp>
        <boolProp name="recycle">false</boolProp>
        <stringProp name="shareMode">shareMode.all</stringProp>
        <boolProp name="stopThread">false</boolProp>
        <stringProp name="variableNames">fullName,dateOfBirth,age,gender,residenceStatus,addressLine1,addressLine2,addressLine3,region,province,city,postalCode,phone,email,localAdministrativeAuthority,cnieNumber</stringProp>
      </CSVDataSet>
      <hashTree/>
      <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="uin  Reader" enabled="true">
        <stringProp name="delimiter">,</stringProp>
        <stringProp name="fileEncoding"></stringProp>
        <stringProp name="filename">${data_path}\uin_list1.txt</stringProp>
        <boolProp name="ignoreFirstLine">false</boolProp>
        <boolProp name="quotedData">false</boolProp>
        <boolProp name="recycle">false</boolProp>
        <stringProp name="shareMode">shareMode.all</stringProp>
        <boolProp name="stopThread">false</boolProp>
        <stringProp name="variableNames">uin</stringProp>
      </CSVDataSet>
      <hashTree/>
      <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="uin regid Reader" enabled="false">
        <stringProp name="delimiter">,</stringProp>
        <stringProp name="fileEncoding"></stringProp>
        <stringProp name="filename">${data_path}\uin_regid_list.txt</stringProp>
        <boolProp name="ignoreFirstLine">false</boolProp>
        <boolProp name="quotedData">false</boolProp>
        <boolProp name="recycle">false</boolProp>
        <stringProp name="shareMode">shareMode.all</stringProp>
        <boolProp name="stopThread">false</boolProp>
        <stringProp name="variableNames">uin,reg_id</stringProp>
      </CSVDataSet>
      <hashTree/>
      <CSVDataSet guiclass="TestBeanGUI" testclass="CSVDataSet" testname="Document Encrypted Value" enabled="false">
        <stringProp name="delimiter">,</stringProp>
        <stringProp name="fileEncoding"></stringProp>
        <stringProp name="filename">C:\MOSIP_PT\Scripts\IdRepo\id_documents.txt</stringProp>
        <boolProp name="ignoreFirstLine">false</boolProp>
        <boolProp name="quotedData">false</boolProp>
        <boolProp name="recycle">true</boolProp>
        <stringProp name="shareMode">shareMode.all</stringProp>
        <boolProp name="stopThread">false</boolProp>
        <stringProp name="variableNames">document_enc_value</stringProp>
      </CSVDataSet>
      <hashTree/>
      <ThreadGroup guiclass="ThreadGroupGui" testclass="ThreadGroup" testname="IdRepo retrive update" enabled="true">
        <stringProp name="ThreadGroup.on_sample_error">continue</stringProp>
        <elementProp name="ThreadGroup.main_controller" elementType="LoopController" guiclass="LoopControlPanel" testclass="LoopController" testname="Loop Controller" enabled="true">
          <boolProp name="LoopController.continue_forever">false</boolProp>
          <stringProp name="LoopController.loops">1</stringProp>
        </elementProp>
        <stringProp name="ThreadGroup.num_threads">1</stringProp>
        <stringProp name="ThreadGroup.ramp_time">1</stringProp>
        <longProp name="ThreadGroup.start_time">1370726934000</longProp>
        <longProp name="ThreadGroup.end_time">1370726934000</longProp>
        <boolProp name="ThreadGroup.scheduler">false</boolProp>
        <stringProp name="ThreadGroup.duration"></stringProp>
        <stringProp name="ThreadGroup.delay"></stringProp>
        <stringProp name="TestPlan.comments">This script contains the parameterized request parameters</stringProp>
      </ThreadGroup>
      <hashTree>
        <CounterConfig guiclass="CounterConfigGui" testclass="CounterConfig" testname="six_digit_number generator" enabled="true">
          <stringProp name="CounterConfig.start">100001</stringProp>
          <stringProp name="CounterConfig.end">499002</stringProp>
          <stringProp name="CounterConfig.incr">1</stringProp>
          <stringProp name="CounterConfig.name">six_digit_number</stringProp>
          <stringProp name="CounterConfig.format"></stringProp>
          <boolProp name="CounterConfig.per_user">false</boolProp>
        </CounterConfig>
        <hashTree/>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_authenticate" enabled="true">
          <boolProp name="HTTPSampler.postBodyRaw">true</boolProp>
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments">
            <collectionProp name="Arguments.arguments">
              <elementProp name="" elementType="HTTPArgument">
                <boolProp name="HTTPArgument.always_encode">false</boolProp>
                <stringProp name="Argument.value">{&#xd;
  &quot;id&quot;: &quot;string&quot;,&#xd;
  &quot;metadata&quot;: {},&#xd;
  &quot;request&quot;: {&#xd;
    &quot;appId&quot;: &quot;registrationprocessor&quot;,&#xd;
    &quot;password&quot;: &quot;mosip&quot;,&#xd;
    &quot;userName&quot;: &quot;registrationprocessor&quot;&#xd;
  },&#xd;
  &quot;requesttime&quot;: &quot;${__time(YYYY-MM-dd&apos;T&apos;HH:mm:ss.SSS,)}Z&quot;,&#xd;
  &quot;version&quot;: &quot;string&quot;&#xd;
}</stringProp>
                <stringProp name="Argument.metadata">=</stringProp>
              </elementProp>
            </collectionProp>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">v1/authmanager/authenticate/useridPwd</stringProp>
          <stringProp name="HTTPSampler.method">POST</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Content-Type" elementType="Header">
                <stringProp name="Header.name">Content-Type</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="false">
            <stringProp name="scriptLanguage">groovy</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

String timestamp = &quot;&quot;;
String timestampFormat = &quot;yyyy-MM-dd&apos;T&apos;HH:mm:ss.SSS&quot;;
Date currDate = new Date();
Calendar cal = Calendar.getInstance();
cal.setTime(currDate);
cal.add(Calendar.HOUR, -6);
Date date = cal.getTime();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat);
timestamp = sdf.format(date);
// System.out.println(timestamp);
timestamp = timestamp + &quot;Z&quot;;
vars.put(&quot;timestamp&quot;,timestamp);</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/idrepo_authentication</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE">success</stringProp>
            <boolProp name="JSONVALIDATION">true</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Success Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Success/idrepo_authentication</stringProp>
            <boolProp name="FileSaver.errorsonly">false</boolProp>
            <boolProp name="FileSaver.successonly">true</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_generate_uin" enabled="false">
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments" guiclass="HTTPArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
            <collectionProp name="Arguments.arguments"/>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">v1/uingenerator/uin</stringProp>
          <stringProp name="HTTPSampler.method">GET</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Content-Type" elementType="Header">
                <stringProp name="Header.name">Content-Type</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Origin" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.uin</stringProp>
            <stringProp name="EXPECTED_VALUE"></stringProp>
            <boolProp name="JSONVALIDATION">false</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">false</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <JSONPostProcessor guiclass="JSONPostProcessorGui" testclass="JSONPostProcessor" testname="JSON Extractor" enabled="true">
            <stringProp name="JSONPostProcessor.referenceNames">uin</stringProp>
            <stringProp name="JSONPostProcessor.jsonPathExprs">$.response.uin</stringProp>
            <stringProp name="JSONPostProcessor.match_numbers">1</stringProp>
            <stringProp name="JSONPostProcessor.defaultValues">uin_not_generated</stringProp>
          </JSONPostProcessor>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="false">
            <stringProp name="scriptLanguage">groovy</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

String timestamp = &quot;&quot;;
String timestampFormat = &quot;yyyy-MM-dd&apos;T&apos;HH:mm:ss.SSS&quot;;
Date currDate = new Date();
Calendar cal = Calendar.getInstance();
cal.setTime(currDate);
cal.add(Calendar.HOUR, -6);
Date date = cal.getTime();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat);
timestamp = sdf.format(date);
// System.out.println(timestamp);
timestamp = timestamp + &quot;Z&quot;;
vars.put(&quot;timestamp&quot;,timestamp);

String six_digit_number = vars.get(&quot;six_digit_number&quot;);
String initials = &quot;123456789&quot;;

String timestampFormat1 = &quot;yyyyMMddHHmmss&quot;;
Date date1 = new Date();
//Calendar cal1 = Calendar.getInstance();
//cal1.setTime(currDate1);
sdf = new SimpleDateFormat(timestampFormat1);
String timestamp1 = sdf.format(date);
vars.put(&quot;timestamp1&quot;,timestamp1);

String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);
</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/idrepo_generate_uin</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Success Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Success/idrepo_generateUIN</stringProp>
            <boolProp name="FileSaver.errorsonly">false</boolProp>
            <boolProp name="FileSaver.successonly">true</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_create_identity" enabled="false">
          <boolProp name="HTTPSampler.postBodyRaw">true</boolProp>
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments">
            <collectionProp name="Arguments.arguments">
              <elementProp name="" elementType="HTTPArgument">
                <boolProp name="HTTPArgument.always_encode">false</boolProp>
                <stringProp name="Argument.value">{&#xd;
	&quot;id&quot;: &quot;mosip.id.create&quot;,&#xd;
	&quot;request&quot;: {&#xd;
		&quot;registrationId&quot;: &quot;${reg_id}&quot;,&#xd;
		&quot;identity&quot;: {&#xd;
			&quot;residenceStatus&quot;: &quot;${residenceStatus}&quot;,&#xd;
			&quot;IDSchemaVersion&quot;: 1.0,&#xd;
			&quot;UIN&quot;: ${uin},&#xd;
			&quot;fullName&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${fullName}&quot;&#xd;
			}],&#xd;
			&quot;dateOfBirth&quot;: &quot;${dateOfBirth}&quot;,&#xd;
			&quot;age&quot;: ${age},&#xd;
			&quot;gender&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${gender}&quot;&#xd;
			}],&#xd;
			&quot;addressLine1&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine1}&quot;&#xd;
			}],&#xd;
			&quot;addressLine2&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine2}&quot;&#xd;
			}],&#xd;
			&quot;addressLine3&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine3}&quot;&#xd;
			}],&#xd;
			&quot;region&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${region}&quot;&#xd;
			}],&#xd;
			&quot;province&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${province}&quot;&#xd;
			}],&#xd;
			&quot;city&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${city}&quot;&#xd;
			}],&#xd;
			&quot;postalCode&quot;: &quot;${postalCode}&quot;,&#xd;
			&quot;phone&quot;: &quot;${phone}&quot;,&#xd;
			&quot;email&quot;: &quot;${email}&quot;,&#xd;
			&quot;CNIENumber&quot;: &quot;${cnieNumber}&quot;,&#xd;
			&quot;localAdministrativeAuthority&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${localAdministrativeAuthority}&quot;&#xd;
			}],&#xd;
			&quot;parentOrGuardianRID&quot;: 212124324784912,&#xd;
			&quot;parentOrGuardianUIN&quot;: 212124324784912,&#xd;
			&quot;parentOrGuardianName&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;salma&quot;&#xd;
			}],&#xd;
			&quot;proofOfAddress&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;RNC&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfIdentity&quot;: {&#xd;
				&quot;format&quot;: &quot;txt&quot;,&#xd;
				&quot;type&quot;: &quot;PAN card&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfRelationship&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;Medical card issued by the State Govt, CGHS, ECHS and ESIC&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfDateOfBirth&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;passport&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;individualBiometrics&quot;: {&#xd;
				&quot;format&quot;: &quot;cbeff&quot;,&#xd;
				&quot;version&quot;: 1.0,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;parentOrGuardianBiometrics&quot;: {&#xd;
				&quot;format&quot;: &quot;cbeff&quot;,&#xd;
				&quot;version&quot;: 1.1,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			}&#xd;
		}&#xd;
	},&#xd;
	&quot;requesttime&quot;: &quot;${__time(YYYY-MM-dd&apos;T&apos;HH:mm:ss.SSS,)}Z&quot;,&#xd;
	&quot;version&quot;: &quot;v1.0&quot;&#xd;
}</stringProp>
                <stringProp name="Argument.metadata">=</stringProp>
              </elementProp>
            </collectionProp>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">idrepository/v1/identity/</stringProp>
          <stringProp name="HTTPSampler.method">POST</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="accept" elementType="Header">
                <stringProp name="Header.name">accept</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Accept-Encoding" elementType="Header">
                <stringProp name="Header.name">Accept-Encoding</stringProp>
                <stringProp name="Header.value">gzip, deflate, br</stringProp>
              </elementProp>
              <elementProp name="Accept-Language" elementType="Header">
                <stringProp name="Header.name">Accept-Language</stringProp>
                <stringProp name="Header.value">en-US,en;q=0.9,hi;q=0.8,und;q=0.7</stringProp>
              </elementProp>
              <elementProp name="Cache-Control" elementType="Header">
                <stringProp name="Header.name">Cache-Control</stringProp>
                <stringProp name="Header.value">no-cache</stringProp>
              </elementProp>
              <elementProp name="Connection" elementType="Header">
                <stringProp name="Header.name">Connection</stringProp>
                <stringProp name="Header.value">keep-alive</stringProp>
              </elementProp>
              <elementProp name="Content-Type" elementType="Header">
                <stringProp name="Header.name">Content-Type</stringProp>
                <stringProp name="Header.value">application/json; charset=utf-8</stringProp>
              </elementProp>
              <elementProp name="Pragma" elementType="Header">
                <stringProp name="Header.name">Pragma</stringProp>
                <stringProp name="Header.value">no-cache</stringProp>
              </elementProp>
              <elementProp name="" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="true">
            <stringProp name="scriptLanguage">java</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

/*
String timestamp = &quot;&quot;;
String timestampFormat = &quot;yyyy-MM-dd&apos;T&apos;HH:mm:ss.SSS&quot;;
Date currDate = new Date();
Calendar cal = Calendar.getInstance();
cal.setTime(currDate);
cal.add(Calendar.HOUR, -6);
Date date = cal.getTime();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat);
timestamp = sdf.format(date);
// System.out.println(timestamp);
timestamp = timestamp + &quot;Z&quot;;
vars.put(&quot;timestamp&quot;,timestamp);
*/
String six_digit_number = vars.get(&quot;six_digit_number&quot;);
String initials = &quot;123456789&quot;;
String timestampFormat1 = &quot;yyyyMMddHHmmss&quot;;
Date date1 = new Date();
//Calendar cal1 = Calendar.getInstance();
//cal1.setTime(currDate1);
sdf = new SimpleDateFormat(timestampFormat1);
String timestamp1 = sdf.format(date);
vars.put(&quot;timestamp1&quot;,timestamp1);
*/
String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);


String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/create_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Success Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Success/create_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">false</boolProp>
            <boolProp name="FileSaver.successonly">true</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE">ACTIVATED</stringProp>
            <boolProp name="JSONVALIDATION">true</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <JSR223PostProcessor guiclass="TestBeanGUI" testclass="JSR223PostProcessor" testname="JSR223 PostProcessor" enabled="true">
            <stringProp name="scriptLanguage">java</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.io.*;

String basepath = vars.get(&quot;data_path&quot;);
System.out.println(basepath);
System.out.print(&quot;uin:-&quot;);
String uin =  vars.get(&quot;uin&quot;);
//System.out.print(&quot;uin:-&quot;);
System.out.println(uin+&quot;\n&quot;);


File file = new File(basepath+&quot;\\uin_list.txt&quot;);
 FileWriter fw = new FileWriter(file.getAbsoluteFile(),true);
BufferedWriter bw = new BufferedWriter(fw);
bw.write(uin+&quot;\r\n&quot;);
bw.close();
</stringProp>
          </JSR223PostProcessor>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_retrieve_identity" enabled="true">
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments" guiclass="HTTPArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
            <collectionProp name="Arguments.arguments"/>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">idrepository/v1/identity/uin/${uin}</stringProp>
          <stringProp name="HTTPSampler.method">GET</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Origin" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
              <elementProp name="accept" elementType="Header">
                <stringProp name="Header.name">accept</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Accept-Encoding" elementType="Header">
                <stringProp name="Header.name">Accept-Encoding</stringProp>
                <stringProp name="Header.value">gzip, deflate, br</stringProp>
              </elementProp>
              <elementProp name="Accept-Language" elementType="Header">
                <stringProp name="Header.name">Accept-Language</stringProp>
                <stringProp name="Header.value">en-US,en;q=0.9,hi;q=0.8,und;q=0.7</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/retrieve_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE"></stringProp>
            <boolProp name="JSONVALIDATION">false</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_update_identity" enabled="true">
          <boolProp name="HTTPSampler.postBodyRaw">true</boolProp>
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments">
            <collectionProp name="Arguments.arguments">
              <elementProp name="" elementType="HTTPArgument">
                <boolProp name="HTTPArgument.always_encode">false</boolProp>
                <stringProp name="Argument.value">{&#xd;
	&quot;id&quot;: &quot;mosip.id.update&quot;,&#xd;
	&quot;request&quot;: {&#xd;
		&quot;registrationId&quot;: &quot;${reg_id}&quot;,&#xd;
		&quot;identity&quot;: {&#xd;
			&quot;residenceStatus&quot;: &quot;${residenceStatus}&quot;,&#xd;
			&quot;IDSchemaVersion&quot;: 1.0,&#xd;
			&quot;UIN&quot;: ${uin},&#xd;
			&quot;fullName&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${fullName}&quot;&#xd;
			}],&#xd;
			&quot;dateOfBirth&quot;: &quot;${dateOfBirth}&quot;,&#xd;
			&quot;age&quot;: ${age},&#xd;
			&quot;gender&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${gender}&quot;&#xd;
			}],&#xd;
			&quot;addressLine1&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine1}&quot;&#xd;
			}],&#xd;
			&quot;addressLine2&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine2}&quot;&#xd;
			}],&#xd;
			&quot;addressLine3&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine3}&quot;&#xd;
			}],&#xd;
			&quot;region&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${region}&quot;&#xd;
			}],&#xd;
			&quot;province&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${province}&quot;&#xd;
			}],&#xd;
			&quot;city&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${city}&quot;&#xd;
			}],&#xd;
			&quot;postalCode&quot;: &quot;${postalCode}&quot;,&#xd;
			&quot;phone&quot;: &quot;${phone}&quot;,&#xd;
			&quot;email&quot;: &quot;${email}&quot;,&#xd;
			&quot;CNIENumber&quot;: &quot;${cnieNumber}&quot;,&#xd;
			&quot;localAdministrativeAuthority&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${localAdministrativeAuthority}&quot;&#xd;
			}],&#xd;
			&quot;parentOrGuardianRID&quot;: 212124324784912,&#xd;
			&quot;parentOrGuardianUIN&quot;: 212124324784912,&#xd;
			&quot;parentOrGuardianName&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;salma&quot;&#xd;
			}],&#xd;
			&quot;proofOfAddress&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;RNC&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfIdentity&quot;: {&#xd;
				&quot;format&quot;: &quot;txt&quot;,&#xd;
				&quot;type&quot;: &quot;PAN card&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfRelationship&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;Medical card issued by the State Govt, CGHS, ECHS and ESIC&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfDateOfBirth&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;passport&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;individualBiometrics&quot;: {&#xd;
				&quot;format&quot;: &quot;cbeff&quot;,&#xd;
				&quot;version&quot;: 1.0,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;parentOrGuardianBiometrics&quot;: {&#xd;
				&quot;format&quot;: &quot;cbeff&quot;,&#xd;
				&quot;version&quot;: 1.1,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			}&#xd;
		}&#xd;
	},&#xd;
	&quot;requesttime&quot;: &quot;${__time(YYYY-MM-dd&apos;T&apos;HH:mm:ss.SSS,)}Z&quot;,&#xd;
	&quot;version&quot;: &quot;v1.0&quot;&#xd;
}</stringProp>
                <stringProp name="Argument.metadata">=</stringProp>
              </elementProp>
            </collectionProp>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding">UTF-8</stringProp>
          <stringProp name="HTTPSampler.path">idrepository/v1/identity/</stringProp>
          <stringProp name="HTTPSampler.method">PATCH</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Origin" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
              <elementProp name="accept" elementType="Header">
                <stringProp name="Header.name">accept</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Accept-Encoding" elementType="Header">
                <stringProp name="Header.name">Accept-Encoding</stringProp>
                <stringProp name="Header.value">gzip, deflate, br</stringProp>
              </elementProp>
              <elementProp name="Accept-Language" elementType="Header">
                <stringProp name="Header.name">Accept-Language</stringProp>
                <stringProp name="Header.value">en-US,en;q=0.9,hi;q=0.8,und;q=0.7</stringProp>
              </elementProp>
              <elementProp name="accept" elementType="Header">
                <stringProp name="Header.name">content-type</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/retrieve_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE"></stringProp>
            <boolProp name="JSONVALIDATION">false</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="true">
            <stringProp name="scriptLanguage">java</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

String six_digit_number = vars.get(&quot;six_digit_number&quot;);
String initials = &quot;123456789&quot;;
String timestampFormat1 = &quot;yyyyMMddHHmmss&quot;;
Date date1 = new Date();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat1);
String timestamp1 = sdf.format(date1);
vars.put(&quot;timestamp1&quot;,timestamp1);

String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <JSR223PostProcessor guiclass="TestBeanGUI" testclass="JSR223PostProcessor" testname="JSR223 PostProcessor" enabled="true">
            <stringProp name="scriptLanguage">java</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.io.*;

String basepath = vars.get(&quot;data_path&quot;);
System.out.println(&quot;basepath-&quot;);
System.out.println(basepath);
String uin =  vars.get(&quot;uin&quot;);
System.out.print(&quot;uin:-&quot;);
System.out.println(uin+&quot;\n&quot;);
String reg_id = vars.get(&quot;reg_id&quot;);

File file = new File(basepath+&quot;\\uin_rid_updated_list.txt&quot;);
 FileWriter fw = new FileWriter(file.getAbsoluteFile(),true);
BufferedWriter bw = new BufferedWriter(fw);
bw.write(uin+&quot;,&quot;+reg_id+&quot;\r\n&quot;);
bw.close();
</stringProp>
          </JSR223PostProcessor>
          <hashTree/>
        </hashTree>
        <DebugSampler guiclass="TestBeanGUI" testclass="DebugSampler" testname="Debug Sampler" enabled="true">
          <boolProp name="displayJMeterProperties">false</boolProp>
          <boolProp name="displayJMeterVariables">true</boolProp>
          <boolProp name="displaySystemProperties">false</boolProp>
        </DebugSampler>
        <hashTree/>
      </hashTree>
      <kg.apc.jmeter.threads.UltimateThreadGroup guiclass="kg.apc.jmeter.threads.UltimateThreadGroupGui" testclass="kg.apc.jmeter.threads.UltimateThreadGroup" testname="jp@gc - Ultimate Thread Group" enabled="false">
        <collectionProp name="ultimatethreadgroupdata">
          <collectionProp name="1388373197">
            <stringProp name="100">100</stringProp>
            <stringProp name="0">0</stringProp>
            <stringProp name="48625">100</stringProp>
            <stringProp name="46968489">18000</stringProp>
            <stringProp name="10">10</stringProp>
          </collectionProp>
          <collectionProp name="1195774885">
            <stringProp name="48625">100</stringProp>
            <stringProp name="49586">200</stringProp>
            <stringProp name="49586">200</stringProp>
            <stringProp name="46944464">17600</stringProp>
            <stringProp name="10">10</stringProp>
          </collectionProp>
          <collectionProp name="-98797012">
            <stringProp name="100">100</stringProp>
            <stringProp name="53430">600</stringProp>
            <stringProp name="50547">300</stringProp>
            <stringProp name="46913712">16500</stringProp>
            <stringProp name="10">10</stringProp>
          </collectionProp>
        </collectionProp>
        <elementProp name="ThreadGroup.main_controller" elementType="LoopController" guiclass="LoopControlPanel" testclass="LoopController" testname="Loop Controller" enabled="true">
          <boolProp name="LoopController.continue_forever">false</boolProp>
          <intProp name="LoopController.loops">-1</intProp>
        </elementProp>
        <stringProp name="ThreadGroup.on_sample_error">stopthread</stringProp>
      </kg.apc.jmeter.threads.UltimateThreadGroup>
      <hashTree>
        <CounterConfig guiclass="CounterConfigGui" testclass="CounterConfig" testname="six_digit_number generator" enabled="true">
          <stringProp name="CounterConfig.start">100001</stringProp>
          <stringProp name="CounterConfig.end">499002</stringProp>
          <stringProp name="CounterConfig.incr">1</stringProp>
          <stringProp name="CounterConfig.name">six_digit_number</stringProp>
          <stringProp name="CounterConfig.format"></stringProp>
          <boolProp name="CounterConfig.per_user">false</boolProp>
        </CounterConfig>
        <hashTree/>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_authenticate" enabled="true">
          <boolProp name="HTTPSampler.postBodyRaw">true</boolProp>
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments">
            <collectionProp name="Arguments.arguments">
              <elementProp name="" elementType="HTTPArgument">
                <boolProp name="HTTPArgument.always_encode">false</boolProp>
                <stringProp name="Argument.value">{&#xd;
  &quot;id&quot;: &quot;string&quot;,&#xd;
  &quot;metadata&quot;: {},&#xd;
  &quot;request&quot;: {&#xd;
    &quot;appId&quot;: &quot;registrationprocessor&quot;,&#xd;
    &quot;password&quot;: &quot;mosip&quot;,&#xd;
    &quot;userName&quot;: &quot;registrationprocessor&quot;&#xd;
  },&#xd;
  &quot;requesttime&quot;: &quot;${timestamp}&quot;,&#xd;
  &quot;version&quot;: &quot;string&quot;&#xd;
}</stringProp>
                <stringProp name="Argument.metadata">=</stringProp>
              </elementProp>
            </collectionProp>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">v1/authmanager/authenticate/useridPwd</stringProp>
          <stringProp name="HTTPSampler.method">POST</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Content-Type" elementType="Header">
                <stringProp name="Header.name">Content-Type</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="true">
            <stringProp name="scriptLanguage">groovy</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

String timestamp = &quot;&quot;;
String timestampFormat = &quot;yyyy-MM-dd&apos;T&apos;HH:mm:ss.SSS&quot;;
Date currDate = new Date();
Calendar cal = Calendar.getInstance();
cal.setTime(currDate);
cal.add(Calendar.HOUR, -6);
Date date = cal.getTime();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat);
timestamp = sdf.format(date);
// System.out.println(timestamp);
timestamp = timestamp + &quot;Z&quot;;
vars.put(&quot;timestamp&quot;,timestamp);</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/idrepo_authentication</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE">success</stringProp>
            <boolProp name="JSONVALIDATION">true</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Success Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Success/idrepo_authentication</stringProp>
            <boolProp name="FileSaver.errorsonly">false</boolProp>
            <boolProp name="FileSaver.successonly">true</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_generate_uin" enabled="true">
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments" guiclass="HTTPArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
            <collectionProp name="Arguments.arguments"/>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">v1/uingenerator/uin</stringProp>
          <stringProp name="HTTPSampler.method">GET</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Content-Type" elementType="Header">
                <stringProp name="Header.name">Content-Type</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Origin" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.uin</stringProp>
            <stringProp name="EXPECTED_VALUE"></stringProp>
            <boolProp name="JSONVALIDATION">false</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">false</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <JSONPostProcessor guiclass="JSONPostProcessorGui" testclass="JSONPostProcessor" testname="JSON Extractor" enabled="true">
            <stringProp name="JSONPostProcessor.referenceNames">uin</stringProp>
            <stringProp name="JSONPostProcessor.jsonPathExprs">$.response.uin</stringProp>
            <stringProp name="JSONPostProcessor.match_numbers">1</stringProp>
            <stringProp name="JSONPostProcessor.defaultValues">uin_not_generated</stringProp>
          </JSONPostProcessor>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="false">
            <stringProp name="scriptLanguage">groovy</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

String timestamp = &quot;&quot;;
String timestampFormat = &quot;yyyy-MM-dd&apos;T&apos;HH:mm:ss.SSS&quot;;
Date currDate = new Date();
Calendar cal = Calendar.getInstance();
cal.setTime(currDate);
cal.add(Calendar.HOUR, -6);
Date date = cal.getTime();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat);
timestamp = sdf.format(date);
// System.out.println(timestamp);
timestamp = timestamp + &quot;Z&quot;;
vars.put(&quot;timestamp&quot;,timestamp);

String six_digit_number = vars.get(&quot;six_digit_number&quot;);
String initials = &quot;123456789&quot;;

String timestampFormat1 = &quot;yyyyMMddHHmmss&quot;;
Date date1 = new Date();
//Calendar cal1 = Calendar.getInstance();
//cal1.setTime(currDate1);
sdf = new SimpleDateFormat(timestampFormat1);
String timestamp1 = sdf.format(date);
vars.put(&quot;timestamp1&quot;,timestamp1);

String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);
</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/idrepo_generate_uin</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Success Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Success/idrepo_generateUIN</stringProp>
            <boolProp name="FileSaver.errorsonly">false</boolProp>
            <boolProp name="FileSaver.successonly">true</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
          </ResultSaver>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_create_identity" enabled="true">
          <boolProp name="HTTPSampler.postBodyRaw">true</boolProp>
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments">
            <collectionProp name="Arguments.arguments">
              <elementProp name="" elementType="HTTPArgument">
                <boolProp name="HTTPArgument.always_encode">false</boolProp>
                <stringProp name="Argument.value">{&#xd;
	&quot;id&quot;: &quot;mosip.id.create&quot;,&#xd;
	&quot;request&quot;: {&#xd;
		&quot;registrationId&quot;: &quot;${reg_id}&quot;,&#xd;
		&quot;identity&quot;: {&#xd;
			&quot;residenceStatus&quot;: &quot;${residenceStatus}&quot;,&#xd;
			&quot;IDSchemaVersion&quot;: 1.0,&#xd;
			&quot;UIN&quot;: ${uin},&#xd;
			&quot;fullName&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${fullName}&quot;&#xd;
			}],&#xd;
			&quot;dateOfBirth&quot;: &quot;${dateOfBirth}&quot;,&#xd;
			&quot;age&quot;: ${age},&#xd;
			&quot;gender&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${gender}&quot;&#xd;
			}],&#xd;
			&quot;addressLine1&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine1}&quot;&#xd;
			}],&#xd;
			&quot;addressLine2&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine2}&quot;&#xd;
			}],&#xd;
			&quot;addressLine3&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${addressLine3}&quot;&#xd;
			}],&#xd;
			&quot;region&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${region}&quot;&#xd;
			}],&#xd;
			&quot;province&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${province}&quot;&#xd;
			}],&#xd;
			&quot;city&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${city}&quot;&#xd;
			}],&#xd;
			&quot;postalCode&quot;: &quot;${postalCode}&quot;,&#xd;
			&quot;phone&quot;: &quot;${phone}&quot;,&#xd;
			&quot;email&quot;: &quot;${email}&quot;,&#xd;
			&quot;CNIENumber&quot;: &quot;${cnieNumber}&quot;,&#xd;
			&quot;localAdministrativeAuthority&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;${localAdministrativeAuthority}&quot;&#xd;
			}],&#xd;
			&quot;parentOrGuardianRID&quot;: 212124324784912,&#xd;
			&quot;parentOrGuardianUIN&quot;: 212124324784912,&#xd;
			&quot;parentOrGuardianName&quot;: [{&#xd;
				&quot;language&quot;: &quot;eng&quot;,&#xd;
				&quot;value&quot;: &quot;salma&quot;&#xd;
			}],&#xd;
			&quot;proofOfAddress&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;RNC&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfIdentity&quot;: {&#xd;
				&quot;format&quot;: &quot;txt&quot;,&#xd;
				&quot;type&quot;: &quot;PAN card&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfRelationship&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;Medical card issued by the State Govt, CGHS, ECHS and ESIC&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;proofOfDateOfBirth&quot;: {&#xd;
				&quot;format&quot;: &quot;pdf&quot;,&#xd;
				&quot;type&quot;: &quot;passport&quot;,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;individualBiometrics&quot;: {&#xd;
				&quot;format&quot;: &quot;cbeff&quot;,&#xd;
				&quot;version&quot;: 1.0,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			},&#xd;
			&quot;parentOrGuardianBiometrics&quot;: {&#xd;
				&quot;format&quot;: &quot;cbeff&quot;,&#xd;
				&quot;version&quot;: 1.1,&#xd;
				&quot;value&quot;: &quot;fileReferenceID&quot;&#xd;
			}&#xd;
		}&#xd;
	},&#xd;
	&quot;requesttime&quot;: &quot;${timestamp}&quot;,&#xd;
	&quot;version&quot;: &quot;v1.0&quot;&#xd;
}</stringProp>
                <stringProp name="Argument.metadata">=</stringProp>
              </elementProp>
            </collectionProp>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">idrepository/v1/identity/</stringProp>
          <stringProp name="HTTPSampler.method">POST</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="accept" elementType="Header">
                <stringProp name="Header.name">accept</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Accept-Encoding" elementType="Header">
                <stringProp name="Header.name">Accept-Encoding</stringProp>
                <stringProp name="Header.value">gzip, deflate, br</stringProp>
              </elementProp>
              <elementProp name="Accept-Language" elementType="Header">
                <stringProp name="Header.name">Accept-Language</stringProp>
                <stringProp name="Header.value">en-US,en;q=0.9,hi;q=0.8,und;q=0.7</stringProp>
              </elementProp>
              <elementProp name="Cache-Control" elementType="Header">
                <stringProp name="Header.name">Cache-Control</stringProp>
                <stringProp name="Header.value">no-cache</stringProp>
              </elementProp>
              <elementProp name="Connection" elementType="Header">
                <stringProp name="Header.name">Connection</stringProp>
                <stringProp name="Header.value">keep-alive</stringProp>
              </elementProp>
              <elementProp name="Content-Type" elementType="Header">
                <stringProp name="Header.name">Content-Type</stringProp>
                <stringProp name="Header.value">application/json; charset=utf-8</stringProp>
              </elementProp>
              <elementProp name="Pragma" elementType="Header">
                <stringProp name="Header.name">Pragma</stringProp>
                <stringProp name="Header.value">no-cache</stringProp>
              </elementProp>
              <elementProp name="" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
          <JSR223PreProcessor guiclass="TestBeanGUI" testclass="JSR223PreProcessor" testname="JSR223 PreProcessor" enabled="true">
            <stringProp name="scriptLanguage">java</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
import java.io.*;

String timestamp = &quot;&quot;;
String timestampFormat = &quot;yyyy-MM-dd&apos;T&apos;HH:mm:ss.SSS&quot;;
Date currDate = new Date();
Calendar cal = Calendar.getInstance();
cal.setTime(currDate);
cal.add(Calendar.HOUR, -6);
Date date = cal.getTime();
SimpleDateFormat sdf = new SimpleDateFormat(timestampFormat);
timestamp = sdf.format(date);
// System.out.println(timestamp);
timestamp = timestamp + &quot;Z&quot;;
vars.put(&quot;timestamp&quot;,timestamp);

String six_digit_number = vars.get(&quot;six_digit_number&quot;);
String initials = &quot;123456789&quot;;

String timestampFormat1 = &quot;yyyyMMddHHmmss&quot;;
Date date1 = new Date();
//Calendar cal1 = Calendar.getInstance();
//cal1.setTime(currDate1);
sdf = new SimpleDateFormat(timestampFormat1);
String timestamp1 = sdf.format(date);
vars.put(&quot;timestamp1&quot;,timestamp1);

String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);


String reg_id = initials+six_digit_number+timestamp1;
vars.put(&quot;reg_id&quot;,reg_id);</stringProp>
          </JSR223PreProcessor>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/create_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Success Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Success/create_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">false</boolProp>
            <boolProp name="FileSaver.successonly">true</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE">ACTIVATED</stringProp>
            <boolProp name="JSONVALIDATION">true</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <JSR223PostProcessor guiclass="TestBeanGUI" testclass="JSR223PostProcessor" testname="JSR223 PostProcessor" enabled="true">
            <stringProp name="scriptLanguage">java</stringProp>
            <stringProp name="parameters"></stringProp>
            <stringProp name="filename"></stringProp>
            <stringProp name="cacheKey">true</stringProp>
            <stringProp name="script">import java.io.*;

String basepath = vars.get(&quot;data_path&quot;);
System.out.println(basepath);
System.out.print(&quot;uin:-&quot;);
String uin =  vars.get(&quot;uin&quot;);
//System.out.print(&quot;uin:-&quot;);
System.out.println(uin+&quot;\n&quot;);


File file = new File(basepath+&quot;\\uin_list.txt&quot;);
 FileWriter fw = new FileWriter(file.getAbsoluteFile(),true);
BufferedWriter bw = new BufferedWriter(fw);
bw.write(uin+&quot;\r\n&quot;);
bw.close();
</stringProp>
          </JSR223PostProcessor>
          <hashTree/>
        </hashTree>
        <HTTPSamplerProxy guiclass="HttpTestSampleGui" testclass="HTTPSamplerProxy" testname="idrepo_retrieve_identity" enabled="true">
          <elementProp name="HTTPsampler.Arguments" elementType="Arguments" guiclass="HTTPArgumentsPanel" testclass="Arguments" testname="User Defined Variables" enabled="true">
            <collectionProp name="Arguments.arguments"/>
          </elementProp>
          <stringProp name="HTTPSampler.domain"></stringProp>
          <stringProp name="HTTPSampler.port"></stringProp>
          <stringProp name="HTTPSampler.protocol"></stringProp>
          <stringProp name="HTTPSampler.contentEncoding"></stringProp>
          <stringProp name="HTTPSampler.path">idrepository/v1/identity/uin/${uin}</stringProp>
          <stringProp name="HTTPSampler.method">GET</stringProp>
          <boolProp name="HTTPSampler.follow_redirects">true</boolProp>
          <boolProp name="HTTPSampler.auto_redirects">false</boolProp>
          <boolProp name="HTTPSampler.use_keepalive">true</boolProp>
          <boolProp name="HTTPSampler.DO_MULTIPART_POST">false</boolProp>
          <stringProp name="HTTPSampler.embedded_url_re"></stringProp>
          <stringProp name="HTTPSampler.connect_timeout"></stringProp>
          <stringProp name="HTTPSampler.response_timeout"></stringProp>
        </HTTPSamplerProxy>
        <hashTree>
          <HeaderManager guiclass="HeaderPanel" testclass="HeaderManager" testname="HTTP Header Manager" enabled="true">
            <collectionProp name="HeaderManager.headers">
              <elementProp name="Origin" elementType="Header">
                <stringProp name="Header.name">Origin</stringProp>
                <stringProp name="Header.value">https://${basepath}</stringProp>
              </elementProp>
              <elementProp name="accept" elementType="Header">
                <stringProp name="Header.name">accept</stringProp>
                <stringProp name="Header.value">application/json</stringProp>
              </elementProp>
              <elementProp name="Accept-Encoding" elementType="Header">
                <stringProp name="Header.name">Accept-Encoding</stringProp>
                <stringProp name="Header.value">gzip, deflate, br</stringProp>
              </elementProp>
              <elementProp name="Accept-Language" elementType="Header">
                <stringProp name="Header.name">Accept-Language</stringProp>
                <stringProp name="Header.value">en-US,en;q=0.9,hi;q=0.8,und;q=0.7</stringProp>
              </elementProp>
            </collectionProp>
          </HeaderManager>
          <hashTree/>
          <ResultSaver guiclass="ResultSaverGui" testclass="ResultSaver" testname="Save Responses to a file" enabled="true">
            <stringProp name="FileSaver.filename">${response_folder}/Errors/retrieve_identity</stringProp>
            <boolProp name="FileSaver.errorsonly">true</boolProp>
            <boolProp name="FileSaver.successonly">false</boolProp>
            <boolProp name="FileSaver.skipsuffix">false</boolProp>
            <boolProp name="FileSaver.skipautonumber">false</boolProp>
            <boolProp name="FileSaver.ignoreTC">false</boolProp>
          </ResultSaver>
          <hashTree/>
          <JSONPathAssertion guiclass="JSONPathAssertionGui" testclass="JSONPathAssertion" testname="JSON Assertion" enabled="true">
            <stringProp name="JSON_PATH">$.response.status</stringProp>
            <stringProp name="EXPECTED_VALUE"></stringProp>
            <boolProp name="JSONVALIDATION">false</boolProp>
            <boolProp name="EXPECT_NULL">false</boolProp>
            <boolProp name="INVERT">false</boolProp>
            <boolProp name="ISREGEX">true</boolProp>
          </JSONPathAssertion>
          <hashTree/>
          <ConstantTimer guiclass="ConstantTimerGui" testclass="ConstantTimer" testname="Constant Timer" enabled="true">
            <stringProp name="ConstantTimer.delay">${thinktime}</stringProp>
          </ConstantTimer>
          <hashTree/>
        </hashTree>
      </hashTree>
      <ResultCollector guiclass="ViewResultsFullVisualizer" testclass="ResultCollector" testname="View Results Tree" enabled="true">
        <boolProp name="ResultCollector.error_logging">false</boolProp>
        <objProp>
          <name>saveConfig</name>
          <value class="SampleSaveConfiguration">
            <time>true</time>
            <latency>true</latency>
            <timestamp>true</timestamp>
            <success>true</success>
            <label>true</label>
            <code>true</code>
            <message>true</message>
            <threadName>true</threadName>
            <dataType>false</dataType>
            <encoding>false</encoding>
            <assertions>true</assertions>
            <subresults>false</subresults>
            <responseData>false</responseData>
            <samplerData>false</samplerData>
            <xml>false</xml>
            <fieldNames>true</fieldNames>
            <responseHeaders>false</responseHeaders>
            <requestHeaders>false</requestHeaders>
            <responseDataOnError>true</responseDataOnError>
            <saveAssertionResultsFailureMessage>true</saveAssertionResultsFailureMessage>
            <assertionsResultsToSave>0</assertionsResultsToSave>
            <bytes>true</bytes>
            <hostname>true</hostname>
            <threadCounts>true</threadCounts>
            <sampleCount>true</sampleCount>
          </value>
        </objProp>
        <stringProp name="filename"></stringProp>
      </ResultCollector>
      <hashTree/>
      <ResultCollector guiclass="StatVisualizer" testclass="ResultCollector" testname="Aggregate Report" enabled="false">
        <boolProp name="ResultCollector.error_logging">false</boolProp>
        <objProp>
          <name>saveConfig</name>
          <value class="SampleSaveConfiguration">
            <time>true</time>
            <latency>true</latency>
            <timestamp>true</timestamp>
            <success>true</success>
            <label>true</label>
            <code>true</code>
            <message>true</message>
            <threadName>true</threadName>
            <dataType>true</dataType>
            <encoding>false</encoding>
            <assertions>true</assertions>
            <subresults>true</subresults>
            <responseData>false</responseData>
            <samplerData>false</samplerData>
            <xml>false</xml>
            <fieldNames>true</fieldNames>
            <responseHeaders>false</responseHeaders>
            <requestHeaders>false</requestHeaders>
            <responseDataOnError>false</responseDataOnError>
            <saveAssertionResultsFailureMessage>true</saveAssertionResultsFailureMessage>
            <assertionsResultsToSave>0</assertionsResultsToSave>
            <bytes>true</bytes>
            <sentBytes>true</sentBytes>
            <url>true</url>
            <threadCounts>true</threadCounts>
            <idleTime>true</idleTime>
            <connectTime>true</connectTime>
          </value>
        </objProp>
        <stringProp name="filename">${result_path}/23rdJuly.csv</stringProp>
      </ResultCollector>
      <hashTree/>
    </hashTree>
  </hashTree>
</jmeterTestPlan>
